All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreAutoRWWriteLocker Class Reference

provides a safe and exception-safe way to hold write locks in Qore, only to be used on the stack, cannot be dynamically allocated More...

`#include <QoreRWLock.h>`

Collaboration diagram for QoreAutoRWWriteLocker:
[legend]

## Public Member Functions

DLLLOCAL | QoreAutoRWWriteLocker (QoreRWLock &n_l)
| creates the object and grabs the write lock
DLLLOCAL | QoreAutoRWWriteLocker (QoreRWLock *n_l)
| creates the object and grabs the write lock
DLLLOCAL | ~QoreAutoRWWriteLocker ()
| destroys the object and releases the lock

## Protected Attributes

QoreRWLock * | l
| the pointer to the lock that will be managed

## Detailed Description

provides a safe and exception-safe way to hold write locks in Qore, only to be used on the stack, cannot be dynamically allocated

Ensures that write locks are released by locking the write lock when the object is created and releasing it when the object is destroyed.

See Also
  QoreAutoRWReadLocker

The documentation for this class was generated from the following file:

- include/qore/QoreRWLock.h (5431)